﻿<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
  </configSections>

  <log4net>
    <!-- Debug Log -->
    <appender name="DebugLog" type="log4net.Appender.RollingFileAppender">
      <file value="E:\MuangAO\MTAO_20140318\MTAOBatchUpdateRider\Logs\Debug.log" />
      <datePattern value="'_'yyyy-MM-dd'.log'" />
      <appendToFile value="true" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date %level -- %message%newline" />
      </layout>
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="DEBUG" />
        <levelMax value="DEBUG" />
      </filter>
    </appender>

    <!-- Error Log -->
    <appender name="ErrorLog" type="log4net.Appender.RollingFileAppender">

      <file value="E:\MuangAO\MTAO_20140318\MTAOBatchUpdateRider\Logs\Error.log" />
      <datePattern value="'_'yyyy-MM-dd'.log'" />
      <appendToFile value="true" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date %level -- %message%newline" />
      </layout>
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="ERROR" />
        <levelMax value="ERROR" />
      </filter>
    </appender>

    <root>
      <level value="ALL" />
      <appender-ref ref="DebugLog" />
      <appender-ref ref="ErrorLog" />
    </root>
  </log4net>

  <startup useLegacyV2RuntimeActivationPolicy="true">
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
  </startup>
  <runtime>
    <generatePublisherEvidence enabled="false" />
  </runtime>

  <connectionStrings>
    <add name="As400ConStr" connectionString="Driver={Client Access ODBC Driver (32-bit)};System=10.1.0.1;Uid=QUSER;Pwd=QUSER;" providerName="System.Data.Odbc" />
    <add name="BaseMungthai" connectionString="Server=10.3.1.14;Database=MTLTest;User Id=sa;Password=pass#word1;"/>
    <add name="BaseMungthai2" connectionString="Data Source=10.1.0.105;Persist Security Info=True;User ID=sqmweb; Password=sqmweb_mt;Initial Catalog=SQMDB;Integrated Security=false" providerName="System.Data.SqlClient" />
    <add name="MungthaiEntities" connectionString="metadata=res://*/Model1.csdl|res://*/Model1.ssdl|res://*/Model1.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=10.3.1.14;initial catalog=MTLTest;user id=sa;Password=pass#word1;multipleactiveresultsets=True;App=EntityFramework&quot;" providerName="System.Data.EntityClient" />
  </connectionStrings>

  <appSettings>
    <add key="BackCurrentDay" value="0" />
    <add key="BackCurrentAsOfDate" value="1"/>
    <add key="FileFormat" value="1"/>
  </appSettings>
</configuration>
